import '@operato/i18n/ox-i18n.js';
import { AbstractAuthPage } from './abstract-auth-page.js';
export declare abstract class AbstractSign extends AbstractAuthPage {
    submit(): Promise<void>;
    updated(changed: any): void;
    get formfields(): import("lit-html").TemplateResult<1>;
    authenticateUser(): Promise<void>;
}
